import 'package:sql_recase/sql_recase.dart';

class User {
  int userId;
  String userName;

  User.fromJson(Map<String, dynamic> json, {recaseKey:recaseKeyNone}) {
    Map<String, dynamic> j = recaseMap(json, recaseKey);
    userId = j['userId'];
    userName = j['userName'];
  }  
}

void main() {
  User user = User.fromJson({
    "user_id": 45,
    "user_name": "John Doe"
  }, recaseKey: recaseKeyCamelCase);
  print(user.userId);
  print(user.userName);
}